<?php
    use AxiumPHP\Core\Router;
    use Workbloom\Module\Funcionario\v0\Controllers\FuncionarioController;

    // Listagem de funcionários
    Router::GET(
        uri: '/',
        handler: [FuncionarioController::class, 'listFuncionarios']
    );

    // Registro de novo funcionário
    Router::POST(
        uri: '/',
        handler: [FuncionarioController::class, 'createFuncionario']
    );

    // Detalhes de um funcionário
    Router::GET(
        uri: '/{uuid}',
        handler: [FuncionarioController::class, 'getFuncionario']
    );

    // Atualização de um funcionário
    Router::PATCH(
        uri: '/{uuid}',
        handler: [FuncionarioController::class, 'updateFuncionario']
    );

    // Remoção de um funcionário
    Router::DELETE(
        uri: '/{uuid}',
        handler: [FuncionarioController::class, 'deleteFuncionario']
    );